Categories:
  - Games
License: GPL-3.0-or-later
WebSite: https://ShatteredPixel.com
SourceCode: https://github.com/00-Evan/shattered-pixel-dungeon
IssueTracker: https://github.com/00-Evan/shattered-pixel-dungeon/issues
Translation: https://www.transifex.com/shattered-pixel/shattered-pixel-dungeon/
Donate: https://www.patreon.com/ShatteredPixel

AutoName: Shattered Pixel Dungeon
Description: |-
    Traditional roguelike game with pixel-art graphics and simple interface. Based
    on [[com.watabou.pixeldungeon]].

    Every game is unique, with four different playable characters, randomized levels
    and enemies, and over 150 items to collect and use. The game is simple to get
    into, but has lots of depth. Strategy is required if you want to win!

    Shattered Pixel Dungeon includes:

    * High replayability: Randomly generated levels, enemies, and items. No two games are the same!
    * 4 hero classes: Warrior, Mage, Rogue, and Huntress. Each hero has a unique playstyle.
    * 8 subclasses: Successful heroes can refine their skills to become more powerful.
    * 5 distinct dungeon regions: each with their own enemies, traps, and quests.
    * Over 150 different items: including powerful wands, rings, weapons, and armor.
    * 50+ different enemies, 30 different traps, and 5 bosses to test your skills.
    * Unique artifacts, which grow in power as you use them.
    * Updates, with new content roughly once a month.

RepoType: git
Repo: https://github.com/00-Evan/shattered-pixel-dungeon

Builds:
  - versionName: 0.2.2a
    versionCode: 14
    commit: 127c74696ade0be0c3824d9373f49b8d9b6e6179
    srclibs:
      - PDClasses-shattered@f2bf9c65809f50ffd372f7d5e3df181cf970f892
    prebuild:
      - cp -R $$PDClasses-shattered$$/com/watabou/* src/com/shatteredpixel/
      - echo -e 'java.source=1.7\njava.target=1.7\njava.encoding=ISO-8859-1' >> ant.properties
    target: android-19

  - versionName: 0.2.2b
    versionCode: 15
    commit: e58df1bc9ccb77fd3218775639650f75a5865172
    srclibs:
      - PDClasses-shattered@f2bf9c65809f50ffd372f7d5e3df181cf970f892
    prebuild:
      - cp -R $$PDClasses-shattered$$/com/watabou/* src/com/shatteredpixel/
      - echo -e 'java.source=1.7\njava.target=1.7\njava.encoding=ISO-8859-1' >> ant.properties
    target: android-19

  - versionName: 0.2.3a
    versionCode: 27
    commit: 513b1213bcd7ef885c8d21980c3f4ac703fe035f
    srclibs:
      - PDClasses-shattered@0d890613f07b065d6f2f9b225ddf13564fdb128f
    prebuild:
      - cp -R $$PDClasses-shattered$$/com/watabou/* src/com/shatteredpixel/
      - echo -e 'java.source=1.7\njava.target=1.7\njava.encoding=ISO-8859-1' >> ant.properties
    target: android-19

  - versionName: 0.2.3c
    versionCode: 29
    commit: fd375b80e3a51c0811798bf34e58bc07383f3051
    srclibs:
      - PDClasses-shattered@7c21c8107bd85e9c572c68018f1d7e2e2f941f50
    prebuild:
      - cp -R $$PDClasses-shattered$$/com/watabou/* src/com/shatteredpixel/
      - echo -e 'java.source=1.7\njava.target=1.7\njava.encoding=ISO-8859-1' >> ant.properties
    target: android-19

  - versionName: 0.2.3d
    versionCode: 30
    commit: 2119f0d1b904db819b48204edb149f32650fad13
    srclibs:
      - PDClasses-shattered@7c21c8107bd85e9c572c68018f1d7e2e2f941f50
    prebuild:
      - cp -R $$PDClasses-shattered$$/com/watabou/* src/com/shatteredpixel/
      - echo -e 'java.source=1.7\njava.target=1.7\njava.encoding=ISO-8859-1' >> ant.properties
    target: android-19

  - versionName: 0.2.3e
    versionCode: 31
    commit: 520131fb2d3cae77a741c36cd3016121df76d0c4
    srclibs:
      - PDClasses-shattered@7c21c8107bd85e9c572c68018f1d7e2e2f941f50
    prebuild:
      - cp -R $$PDClasses-shattered$$/com/watabou/* src/com/shatteredpixel/
      - echo -e 'java.source=1.7\njava.target=1.7\njava.encoding=ISO-8859-1' >> ant.properties
    target: android-19

  - versionName: 0.2.3f
    versionCode: 32
    commit: 11d550cbe0d4136c78574cec0bda6ddb8af2b6da
    srclibs:
      - PDClasses-shattered@7c21c8107bd85e9c572c68018f1d7e2e2f941f50
    prebuild:
      - cp -R $$PDClasses-shattered$$/com/watabou/* src/com/shatteredpixel/
      - echo -e 'java.source=1.7\njava.target=1.7\njava.encoding=ISO-8859-1' >> ant.properties
    target: android-19

  - versionName: 0.2.4b
    versionCode: 35
    commit: 22d072f3e7e
    srclibs:
      - PDClasses-shattered@35fad7951a
    prebuild:
      - cp -R $$PDClasses-shattered$$/com/watabou/* src/com/shatteredpixel/
      - echo -e 'java.source=1.7\njava.target=1.7\njava.encoding=ISO-8859-1' >> ant.properties
    target: android-19

  - versionName: 0.2.4c
    versionCode: 36
    commit: 60076db78c203f33b49be0f1f957af9821d9e306
    srclibs:
      - PDClasses-shattered@5c7c4238836ce468fc88f083b85a5d775877d988
    prebuild:
      - cp -R $$PDClasses-shattered$$/com/watabou/* src/com/shatteredpixel/
      - echo -e 'java.source=1.7\njava.target=1.7\njava.encoding=ISO-8859-1' >> ant.properties
    target: android-19

  - versionName: 0.2.4d
    versionCode: 38
    commit: 45c92a66a9b61bea892deab7b79d18785496f967
    srclibs:
      - PDClasses-shattered@9dccea42ffbe25bb60866710a4e08e66b58c05fd
    prebuild:
      - cp -R $$PDClasses-shattered$$/com/watabou/* src/com/shatteredpixel/
      - echo -e 'java.source=1.7\njava.target=1.7\njava.encoding=ISO-8859-1' >> ant.properties
    target: android-19

  - versionName: 0.3.0c
    versionCode: 44
    commit: 8c42ebda5e7cd2c223b59933980524d65d8ff7a0
    srclibs:
      - PDClasses-shattered@43a9126642b88bd41ea4db183bc04f75839bdca5
    prebuild:
      - cp -R $$PDClasses-shattered$$/com/watabou/* src/com/shatteredpixel/
      - echo -e 'java.source=1.7\njava.target=1.7\njava.encoding=ISO-8859-1' >> ant.properties
    target: android-19

  - versionName: 0.3.0d
    versionCode: 45
    commit: 684c2caacb1775c98db4fb82306b5893a0c824a3
    srclibs:
      - PDClasses-shattered@43a9126642b88bd41ea4db183bc04f75839bdca5
    prebuild:
      - cp -R $$PDClasses-shattered$$/com/watabou/* src/com/shatteredpixel/
      - echo -e 'java.source=1.7\njava.target=1.7\njava.encoding=ISO-8859-1' >> ant.properties
    target: android-19

  - versionName: 0.3.0e
    versionCode: 46
    commit: f4898d903b6c837acea7d34cdacb903066bea724
    srclibs:
      - PDClasses-shattered@4aaeecf83ff10449614d43421258e3df236a5228
    prebuild:
      - cp -R $$PDClasses-shattered$$/com/watabou/* src/com/shatteredpixel/
      - echo -e 'java.source=1.7\njava.target=1.7\njava.encoding=ISO-8859-1' >> ant.properties
    target: android-19

  - versionName: 0.3.1a
    versionCode: 55
    commit: f531879f51d75d0447feb635d2d65c5f127b3c99
    srclibs:
      - PDClasses-shattered@77b0fbd58608b08b59e86869ebeeec0f7caf93b9
    prebuild:
      - cp -R $$PDClasses-shattered$$/com/watabou/* src/com/shatteredpixel/
      - echo -e 'java.source=1.7\njava.target=1.7\njava.encoding=ISO-8859-1' >> ant.properties
    target: android-19

  - versionName: 0.3.1c
    versionCode: 57
    commit: a9fa47b9422ca15e0a37479fa3341858963c8ade
    srclibs:
      - PDClasses-shattered@4e256b579e15fb099b4b83b608a3c78c65a4fb37
    prebuild:
      - cp -R $$PDClasses-shattered$$/com/watabou/* src/com/shatteredpixel/
      - echo -e 'java.source=1.7\njava.target=1.7\njava.encoding=ISO-8859-1' >> ant.properties
    target: android-19

  - versionName: 0.3.1d
    versionCode: 59
    commit: dab5499c223a1af25bac0ed89ecdb067b3fd0931
    srclibs:
      - PDClasses-shattered@4e256b579e15fb099b4b83b608a3c78c65a4fb37
    prebuild:
      - cp -R $$PDClasses-shattered$$/com/watabou/* src/com/shatteredpixel/
      - echo -e 'java.source=1.7\njava.target=1.7\njava.encoding=ISO-8859-1' >> ant.properties
    target: android-19

  - versionName: 0.3.2b
    versionCode: 67
    commit: 44880cb44e098f182725300d1dfbf47337b77d21
    srclibs:
      - PDClasses-shattered@7acaef7924110c4b80a2b60fc883de2a8c21e927
    prebuild:
      - cp -R $$PDClasses-shattered$$/com/watabou/* src/com/shatteredpixel/
      - echo -e 'java.source=1.7\njava.target=1.7\njava.encoding=ISO-8859-1' >> ant.properties
    target: android-19

  - versionName: 0.3.3
    versionCode: 72
    commit: 75e232a429ad03c10780aa0ca4b99900549f50fa
    srclibs:
      - PDClasses-shattered@1c4b560b05a0e8f5ee98b1e65b6270a7d125c3a8
    prebuild:
      - cp -R $$PDClasses-shattered$$/com/watabou/* src/com/shatteredpixel/
      - echo -e 'java.source=1.7\njava.target=1.7\njava.encoding=ISO-8859-1' >> ant.properties
    target: android-19

  - versionName: 0.3.3b
    versionCode: 74
    commit: v0.3.3b
    srclibs:
      - PDClasses-shattered@1c4b560b05a0e8f5ee98b1e65b6270a7d125c3a8
    prebuild:
      - cp -R $$PDClasses-shattered$$/com/watabou/* src/com/shatteredpixel/
      - echo -e 'java.source=1.7\njava.target=1.7\njava.encoding=ISO-8859-1' >> ant.properties
    target: android-23

  - versionName: 0.3.4b
    versionCode: 92
    commit: v0.3.4b
    srclibs:
      - PDClasses-shattered@52858380c095895440918ae455d5a1ce505027e3
    prebuild:
      - cp -R $$PDClasses-shattered$$/com/watabou/* src/com/shatteredpixel/
      - echo -e 'java.source=1.7\njava.target=1.7' >> ant.properties
    target: android-23

  - versionName: 0.3.4c
    versionCode: 93
    commit: v0.3.4c
    srclibs:
      - PDClasses-shattered@4342062c3f3948d7b6e8fb0d3bb1980b31e3c63e
    prebuild:
      - cp -R $$PDClasses-shattered$$/com/watabou/* src/com/shatteredpixel/
      - echo -e 'java.source=1.7\njava.target=1.7' >> ant.properties
    target: android-23

  - versionName: 0.3.5a
    versionCode: 99
    commit: v0.3.5a
    srclibs:
      - PDClasses-shattered@4df992d4b3115ab324f2c0d52aff746edd92787a
    prebuild:
      - cp -R $$PDClasses-shattered$$/com/watabou/* src/com/shatteredpixel/
      - echo -e 'java.source=1.7\njava.target=1.7' >> ant.properties
    target: android-23

  - versionName: 0.4.0
    versionCode: 107
    commit: v0.4.0
    srclibs:
      - PDClasses-shattered@abc43a3e3b4124972df51312d3dd7be2c1e10b6c
    prebuild:
      - cp -R $$PDClasses-shattered$$/com/watabou/* src/com/shatteredpixel/
      - echo -e 'java.source=1.7\njava.target=1.7' >> ant.properties
    target: android-23

  - versionName: 0.4.1a
    versionCode: 118
    commit: v0.4.1a
    srclibs:
      - PDClasses-shattered@48308cd26657e5f6eb0a79ab98b9d8bdcb52d0d3
    prebuild:
      - cp -R $$PDClasses-shattered$$/com/watabou/* src/com/shatteredpixel/
      - echo -e 'java.source=1.7\njava.target=1.7' >> ant.properties
    target: android-23

  - versionName: 0.4.2a
    versionCode: 127
    commit: v0.4.2a
    subdir: core
    gradle:
      - yes
    scandelete:
      - SPD-classes/src/main/jniLibs/x86/libFroyoGLES20Fix.so
      - SPD-classes/src/main/jniLibs/armeabi/libFroyoGLES20Fix.so

  - versionName: 0.4.2b
    versionCode: 129
    commit: v0.4.2b
    subdir: core
    gradle:
      - yes
    scandelete:
      - SPD-classes/src/main/jniLibs/

  - versionName: 0.4.3
    versionCode: 139
    commit: 0.4.3
    subdir: core
    gradle:
      - yes
    scandelete:
      - SPD-classes/src/main/jniLibs/
    preassemble:
      - :SPD-classes:ndkBuild

  - versionName: 0.4.3a
    versionCode: 144
    commit: v0.4.3a
    subdir: core
    gradle:
      - yes
    scandelete:
      - SPD-classes/src/main/jniLibs/
    preassemble:
      - :SPD-classes:ndkBuild

  - versionName: 0.4.3c
    versionCode: 148
    commit: v0.4.3c
    subdir: core
    gradle:
      - yes
    scandelete:
      - SPD-classes/src/main/jniLibs/
    preassemble:
      - :SPD-classes:ndkBuild

  - versionName: 0.5.0a
    versionCode: 158
    commit: v0.5.0a
    subdir: core
    gradle:
      - yes
    scandelete:
      - SPD-classes/src/main/jniLibs/
    preassemble:
      - :SPD-classes:ndkBuild

  - versionName: 0.5.0b
    versionCode: 159
    commit: v0.5.0b
    subdir: core
    gradle:
      - yes
    scandelete:
      - SPD-classes/src/main/jniLibs/
    preassemble:
      - :SPD-classes:ndkBuild

  - versionName: 0.6.0
    versionCode: 181
    commit: v0.6.0
    subdir: core
    gradle:
      - yes
    scandelete:
      - SPD-classes/src/main/jniLibs/
    preassemble:
      - :SPD-classes:ndkBuild

  - versionName: 0.6.0b
    versionCode: 185
    commit: v0.6.0b
    subdir: core
    gradle:
      - yes
    scandelete:
      - SPD-classes/src/main/jniLibs/
    preassemble:
      - :SPD-classes:ndkBuild

  - versionName: 0.6.1a
    versionCode: 206
    commit: v0.6.1a
    subdir: core
    gradle:
      - yes
    scandelete:
      - SPD-classes/src/main/jniLibs/
    preassemble:
      - :SPD-classes:ndkBuild

  - versionName: 0.6.1b
    versionCode: 209
    commit: v0.6.1b
    subdir: core
    gradle:
      - yes
    scandelete:
      - SPD-classes/src/main/jniLibs/
    preassemble:
      - :SPD-classes:ndkBuild

  - versionName: 0.6.2a
    versionCode: 224
    disable: Could not find com.android.tools.build:gradle:3.0.0
    commit: v0.6.2a
    subdir: core
    gradle:
      - yes
    scandelete:
      - SPD-classes/src/main/jniLibs/
    preassemble:
      - :SPD-classes:ndkBuild

  - versionName: 0.6.2d
    versionCode: 228
    commit: v0.6.2d
    subdir: core
    gradle:
      - yes
    scandelete:
      - SPD-classes/src/main/jniLibs/
    preassemble:
      - :SPD-classes:ndkBuild

  - versionName: 0.6.2e
    versionCode: 229
    commit: v0.6.2e
    subdir: core
    gradle:
      - yes
    scandelete:
      - SPD-classes/src/main/jniLibs/
    preassemble:
      - :SPD-classes:ndkBuild

  - versionName: 0.6.3a
    versionCode: 242
    commit: v0.6.3a
    subdir: core
    gradle:
      - yes
    scandelete:
      - SPD-classes/src/main/jniLibs/
    preassemble:
      - :SPD-classes:ndkBuild

  - versionName: 0.6.3b
    versionCode: 245
    commit: v0.6.3b
    subdir: core
    gradle:
      - yes
    scandelete:
      - SPD-classes/src/main/jniLibs/
    preassemble:
      - :SPD-classes:ndkBuild

  - versionName: 0.6.4
    versionCode: 251
    disable: Could not find com.android.tools.lint:lint-gradle:26.1.0
    commit: v0.6.4
    subdir: core
    gradle:
      - yes
    scandelete:
      - SPD-classes/src/main/jniLibs/
    preassemble:
      - :SPD-classes:ndkBuild

  - versionName: 0.6.4a
    versionCode: 252
    commit: v0.6.4a
    subdir: core
    gradle:
      - yes
    scandelete:
      - SPD-classes/src/main/jniLibs/
    preassemble:
      - :SPD-classes:ndkBuild

  - versionName: 0.6.5a
    versionCode: 261
    commit: v0.6.5a
    subdir: core
    gradle:
      - yes
    scandelete:
      - SPD-classes/src/main/jniLibs/
    preassemble:
      - :SPD-classes:ndkBuild

  - versionName: 0.6.5c
    versionCode: 264
    commit: v0.6.5c
    subdir: core
    gradle:
      - yes
    scandelete:
      - SPD-classes/src/main/jniLibs/
    preassemble:
      - :SPD-classes:ndkBuild

  - versionName: 0.7.0a
    versionCode: 305
    commit: v0.7.0a
    subdir: core
    gradle:
      - yes
    scandelete:
      - SPD-classes/src/main/jniLibs/
    preassemble:
      - :SPD-classes:ndkBuild

  - versionName: 0.7.0c
    versionCode: 311
    commit: v0.7.0c
    subdir: core
    gradle:
      - yes
    scandelete:
      - SPD-classes/src/main/jniLibs/
    preassemble:
      - :SPD-classes:ndkBuild

  - versionName: 0.7.1a
    versionCode: 320
    commit: v0.7.1a
    subdir: core
    gradle:
      - yes
    scandelete:
      - SPD-classes/src/main/jniLibs/
    preassemble:
      - :SPD-classes:ndkBuild

  - versionName: 0.7.1b
    versionCode: 321
    commit: v0.7.1b
    subdir: core
    gradle:
      - yes
    scandelete:
      - SPD-classes/src/main/jniLibs/
    preassemble:
      - :SPD-classes:ndkBuild

  - versionName: 0.7.1c
    versionCode: 322
    commit: v0.7.1c
    subdir: core
    gradle:
      - yes
    scandelete:
      - SPD-classes/src/main/jniLibs/
    preassemble:
      - :SPD-classes:ndkBuild

  - versionName: 0.7.1d
    versionCode: 323
    commit: v0.7.1d
    subdir: core
    gradle:
      - yes
    scandelete:
      - SPD-classes/src/main/jniLibs/
    preassemble:
      - :SPD-classes:ndkBuild

  - versionName: 0.7.2a
    versionCode: 335
    commit: v0.7.2a
    subdir: core
    gradle:
      - yes
    scandelete:
      - SPD-classes/src/main/jniLibs/
    preassemble:
      - :SPD-classes:ndkBuild

  - versionName: 0.7.2b
    versionCode: 338
    commit: v0.7.2b
    subdir: core
    gradle:
      - yes
    scandelete:
      - SPD-classes/src/main/jniLibs/
    preassemble:
      - :SPD-classes:ndkBuild

  - versionName: 0.7.2c
    versionCode: 339
    commit: v0.7.2c
    subdir: core
    gradle:
      - yes
    scandelete:
      - SPD-classes/src/main/jniLibs/
    preassemble:
      - :SPD-classes:ndkBuild

  - versionName: 0.7.2d
    versionCode: 340
    commit: v0.7.2d
    subdir: core
    gradle:
      - yes
    scandelete:
      - SPD-classes/src/main/jniLibs/
    preassemble:
      - :SPD-classes:ndkBuild

  - versionName: 0.7.3a
    versionCode: 347
    commit: v0.7.3a
    subdir: core
    gradle:
      - yes
    scandelete:
      - SPD-classes/src/main/jniLibs/
    preassemble:
      - :SPD-classes:ndkBuild

  - versionName: 0.7.4
    versionCode: 356
    commit: v0.7.4
    subdir: core
    gradle:
      - yes

  - versionName: 0.7.4c
    versionCode: 362
    commit: v0.7.4c
    subdir: android
    gradle:
      - yes
    scandelete:
      - android/libs/*

  - versionName: 0.7.4d
    versionCode: 363
    commit: v0.7.4d
    subdir: android
    gradle:
      - yes
    scandelete:
      - android/libs/*

  - versionName: 0.7.5
    versionCode: 371
    commit: v0.7.5
    subdir: android
    gradle:
      - yes
    scandelete:
      - android/libs/*

  - versionName: 0.7.5a
    versionCode: 372
    commit: v0.7.5a
    subdir: android
    gradle:
      - yes
    scandelete:
      - android/libs/*

  - versionName: 0.7.5b
    versionCode: 378
    commit: v0.7.5b
    subdir: android
    gradle:
      - yes
    scandelete:
      - android/libs/*

  - versionName: 0.7.5c
    versionCode: 379
    commit: v0.7.5c
    subdir: android
    gradle:
      - yes
    scandelete:
      - android/libs/*

  - versionName: 0.7.5d
    versionCode: 380
    commit: v0.7.5d
    subdir: android
    gradle:
      - yes
    scandelete:
      - android/libs/*

  - versionName: 0.7.5e
    versionCode: 382
    commit: v0.7.5e
    subdir: android
    gradle:
      - yes
    scandelete:
      - android/libs/*

  - versionName: 0.8.0
    versionCode: 412
    commit: v0.8.0
    subdir: android
    gradle:
      - yes
    scandelete:
      - android/libs/*

  - versionName: 0.8.0a
    versionCode: 413
    commit: v0.8.0a
    subdir: android
    gradle:
      - yes
    scandelete:
      - android/libs/*

  - versionName: 0.8.0b
    versionCode: 414
    commit: v0.8.0b
    subdir: android
    gradle:
      - yes
    scandelete:
      - android/libs/*

  - versionName: 0.8.1
    versionCode: 420
    commit: v0.8.1
    subdir: android
    gradle:
      - yes
    scandelete:
      - android/libs/*

  - versionName: 0.8.1a
    versionCode: 422
    commit: v0.8.1a
    subdir: android
    gradle:
      - yes
    scandelete:
      - android/libs/*

  - versionName: 0.8.2b
    versionCode: 456
    commit: v0.8.2b
    subdir: android
    gradle:
      - yes
    scandelete:
      - android/libs/*

  - versionName: 0.8.2d
    versionCode: 464
    commit: v0.8.2d
    subdir: android
    gradle:
      - yes
    scandelete:
      - android/libs/*

  - versionName: 0.9.0
    versionCode: 480
    commit: v0.9.0
    subdir: android
    gradle:
      - yes
    scandelete:
      - android/libs/*

  - versionName: 0.9.0a
    versionCode: 482
    commit: v0.9.0a
    subdir: android
    gradle:
      - yes
    scandelete:
      - android/libs/*

AutoUpdateMode: Version v%v
UpdateCheckMode: HTTP
UpdateCheckData: https://raw.githubusercontent.com/00-Evan/shattered-pixel-dungeon/master/build.gradle|appVersionCode
    = (.*)|.|appVersionName = ['"](.*)['"]
CurrentVersion: 0.9.0a
CurrentVersionCode: 482
